
% Army Model Rules Names

% Here are listed the names of all the rules appearing in the Army Model Rules, including Armoury. Order is unimportant. They will be ordered automatically.
% Here is the Beast Herds list as an example, replace it with your own rules.

\newcommand{\heavenlycourt}{Heavenly Court}
\newcommand{\imperialmandate}{Imperial Mandate}
\newcommand{\lineofcommand}{Line of Command}

\newcommand{\tsuandantraining}{Tsuandan Training}
\newcommand{\cloudofarrows}{Cloud of Arrows}
\newcommand{\taoforms}{Tao Forms}

\newcommand{\firelance}{Fire Lance}
\newcommand{\firelances}{Fire Lances}

\newcommand{\thunderclaparrows}{Thunderclap Arrows}
\newcommand{\zhugenu}{Zhuge Nu}
\newcommand{\sanyanchong}{San Yan Chong}
\newcommand{\zhanmadao}{Zhanmadao}

\newcommand{\firelanterns}{Fire Lanterns}

\newcommand{\swornofficial}{Sworn Official}

\newcommand{\artofwar}{Art of War}

% Army Model Rules Texts

% Here are listed the texts of all the rules appearing in the Army Model Rules, including Armoury. Order is unimportant.
% Here is a Beast Herds example, replace it with your own rules.

\newcommand{\heavenlycourtdef}{%
	The model gains \textbf{\fearless{}} and \textbf{\magicresistance{1}} and may only join or be joined by models with \heavenlycourt{}.%
}

\newcommand{\imperialmandatedef}{%
	If a model with this rule is the \general{}, it gains +1 \DisciplineInitials{}.%
}

\newcommand{\gainslineofcommand}{gains \textbf{\lineofcommand{}}}
\newcommand{\lineofcommanddef}{%
	A friendly non-Fleeing, non-Shaken unit with \lineofcommand{} adds all friendly units within \distance{8} to its \lineofcommand{}. A \lineofcommand{} may thus be extended indefinitely.
\begin{smallitemize}%
\item Trained units are always considered to be within range of \commandingpresence{} or \rallyaroundtheflag{} from models with \lineofcommand{} that belong to the same \lineofcommand{}.%
\item Models with \lineofcommand{} have the range of their \commandingpresence{} or \rallyaroundtheflag{} set to \distance{8}.%
\item Effects which modify the range of a \commandingpresence{} or \rallyaroundtheflag{} also modify that of \lineofcommand{}.%
\end{smallitemize}%
}

\newcommand{\tsuandantrainingdef}{%
	Non-Fleeing, non-Shaken units consisting entirely of models with \tsuandantraining{} are said to be Trained. Trained Units automatically pass Panic Tests caused by units voluntarily Fleeing or Breaking from Combat.%
}

\newcommand{\cloudofarrowsdef}{%
	The unit may shoot from one additional rank during friendly Shooting Phases.%
}

\newcommand{\taoformsdef}{%
	At the start of each Round of Combat, the unit \textbf{must} choose one of the following forms which is then applied to all models with this rule in the unit for the duration of the round.
\begin{smallitemize}%
\item \textbf{Crane}: +1 \AP{}, +1 \OffensiveSkillInitials{}.%
\item \textbf{Mantis}: +1 \At{}, +1 \Ag{}.%
\item \textbf{Ox}: +1 \St{}, +1 \DefensiveSkillInitials{}.%
\end{smallitemize}%
}

\newcommand{\firelancedef}{%
	In the First Round of Combat at Initiative step 10, if the model part is in the first rank, it may perform a Special Attack that hits automatically with \St{} 4, \AP{} 0 and \textbf{\flamingattacks{}} against an enemy model in base contact with it.%
}

\newcommand{\thunderclaparrowsdef}{%
	\range{24}, \shots{1}, \St{} 4, \AP{} 0, \textbf{\battlefocus{}, \flamingattacks{}, \volleyfire{}}.%
}

\newcommand{\zhugenudef}{%
	\range{18}, \shots{3}, \St{} 2, \AP{} 0, \textbf{\quicktofire{}}. The target immediately suffers \distance{-1} (max.\distance{-2}) Advance Rate for each Full Rank shooting at it with this weapon, until the end of the next Player Turn.%
}

\newcommand{\zhugenuqrs}{%
	\distance{-1} (max.\distance{-2}) Advance Rate per Full Rank
}

\newcommand{\sanyanchongdef}{%
	\range{18}, \shots{D3}, \St{} 4, \AP{} 2. When shooting from Short Range, Attacks made with a \sanyanchong{} gain +1 to hit, +1 \St{}, +1 \AP{} and \textbf{\flamingattacks{}}.%
}

\newcommand{\zhanmadaodef}{%
	\twohanded{}. Attacks with this weapon gain +1 \St{} and \textbf{\lethalstrike{}}.%
}

\newcommand{\firelanternsdef}{%
	Once per game, at the start of a friendly Movement Phase, a unit with this upgrade which is not Engaged, Shaken or Fleeing may place a \firelanterns{} Terrain Feature of up to \distance{6}\timess{}\distance{1} in contact with its Front Facing. At the end of step 2 of each friendly Movement Phase, Fire Lanterns \textbf{must} move 5D\distance{3} in a chosen direction, rotating freely (but remaining fully within the distance rolled). A unit that overlaps on \firelanterns{} for any reason immediately suffers 5D3 hits resolved with \St{} 4, \AP{} 0 and \textbf{\flamingattacks{}}; models with \fly{}{} must additionally take a \textbf{Dangerous Terrain (1)} test. A \firelanterns{} Terrain Feature thus overlapping a unit, or contacting another Terrain Feature, is immediately removed from the Battlefield.%
}

\newcommand{\swornofficialdef}{%
	: A model with this rule is commissioned by one of the following ministries, written on the army list.%
}

\newcommand{\artofwardef}{%
	: A model with this rule may issue up to X \stratagems{} over the course of a game. Each \stratagem{} may only be used once, regardless of the model issuing it. \stratagems{} are issued at the start of friendly Player Turns and must target Trained Units in the same \lineofcommand{} as the model issuing it.%
}